package com.ddabadi.stock.model;

import com.ddabadi.stock.model.enumerate.TransStatus;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Data
@NoArgsConstructor
@EqualsAndHashCode
@ToString
@Table(name="po_hd", schema = "public")
public class PurchaseOrderHd implements Serializable {

    @Id
    @SequenceGenerator(name = "pk_po_seq", sequenceName = "po_seq", allocationSize=1)
    @GeneratedValue( strategy = GenerationType.SEQUENCE, generator="pk_po_seq")
    private String id;

    @ManyToOne
    @JoinColumn(name = "po_supplier")
    private Supplier supplier;

    @Temporal(TemporalType.DATE)
    @Column
    private Date transactionDate;

    // Generated by System
    // POyyMM9999
    // PO -> system parameter
    @Column(length = 10)
    private String poNumber;

    @Column
    @Temporal(TemporalType.DATE)
    private Date expiredPoDate;

    @Column(length = 250)
    private String description;

    @Column
    private TransStatus status;


}
